/// <reference types="react" />
import { OptionsControlProps } from './Options';
import { BaseTabsTransferRenderer } from './TabsTransfer';
import { TabsTransferControlSchema } from './TabsTransfer';
import { ItemRenderStates } from '../../components/Selection';
/**
 * TabsTransferPicker 穿梭器的弹框形态
 * 文档：https://baidu.gitee.io/amis/docs/components/form/tabs-transfer-picker
 */
export interface TabsTransferPickerControlSchema extends Omit<TabsTransferControlSchema, 'type'> {
    type: 'tabs-transfer-picker';
}
export interface TabsTransferProps extends OptionsControlProps, Omit<TabsTransferPickerControlSchema, 'type' | 'options' | 'inputClassName' | 'className' | 'descriptionClassName'> {
}
export declare class TabsTransferPickerRenderer extends BaseTabsTransferRenderer<TabsTransferProps> {
    optionItemRender(option: any, states: ItemRenderStates): JSX.Element;
    render(): JSX.Element;
}
